package com.chenyang.nse.bussiness.entity.vo.datascope;

public class FieldDetailReportVO implements Cloneable {
   private String id;
   private String fields;
   private String names;
   private String tschemas;
   private String rulename;
   private String type;

   public String getTid() {
      return this.id;
   }

   public void setTid(String id) {
      this.id = id;
   }

   public String getFields() {
      return this.fields;
   }

   public void setFields(String fields) {
      this.fields = fields;
   }

   public String getRulename() {
      return this.rulename;
   }

   public void setRulename(String rulename) {
      this.rulename = rulename;
   }

   public String getNames() {
      return this.names;
   }

   public void setNames(String names) {
      this.names = names;
   }

   public String getTschemas() {
      return this.tschemas;
   }

   public void setTschemas(String tschemas) {
      this.tschemas = tschemas;
   }

   public String getType() {
      return this.type;
   }

   public void setType(String type) {
      this.type = type;
   }

   public Object clone() {
      FieldDetailReportVO fieldDetailReportVO = null;

      try {
         fieldDetailReportVO = (FieldDetailReportVO)super.clone();
      } catch (CloneNotSupportedException e) {
         e.printStackTrace();
      }

      return fieldDetailReportVO;
   }
}
